package org.globus.transfer.reliable.service.cache;

import org.globus.transfer.reliable.service.exception.RftException;

/**
 *  Closes all cached connections of all caches when
 *  the container shuts down.
 */ 
public class ConnectionManagerCleanupHook extends Thread
{
    private ConnectionManager connectionManager;
    
    public ConnectionManagerCleanupHook(
        ConnectionManager connectionManager)
	throws RftException
    {
        if (connectionManager == null)
        {
            throw new RftException(
                "Internal cache error: connectionManager is null " +
                "but must not be null");	
        }
        this.connectionManager = connectionManager;
    }

    public void run()
    {
        this.connectionManager.closeAllConnections();
    }
}
